Can someone confirm this?
Can someone confirm this?Draw a rectagle and then make a View > Window from bottom left to upper right corner using the endpoint snap mode to snap to the rectangle corners. The first corner will snap but NOT the second. The same problem happens if you use the Explorer View command or the Command Line version.BRICSNET; THIS A SERIOUS BUG AND I NEED TO KNOW WHEN IT WILL BE FIXED.Thanks
Comments
-
V2.2.0016, in PSPACE with ESNAP=END.I draw a rectangle then using MVIEW, drawa viewport by snapping to the diagonally opposite corners of the rectangle. Is thiswhat you mean? It works here.
0 -
No not MVIEW. I mean Create a View. Such as View 1 or 2 or 3 so that I can restore that view later to get to that part of the drawing quickly but more importantaly to be able to plot say View 1 or 2 or 3 without having to plot a window everytime.Thanks for your time.
0 -
I can confirm the behaviour. Maybe a lisp workaround can work as a temporary solution for creating plot views:(defun c:cv ( / a b c)(setq a (getstring "\n\nType a name for saved view:"))(setq b (getpoint "\n\nFirst corner of window:"))(setq c (getpoint "\n\nFirst corner of window:"))(command "view" "w" a b c))
0 -
Thanks a lot. The workaround works fine. My view previews ok in plot preview. Simple but very effective workaround.Regards
0 -
Dear Varnes,This program is excellent(defun c:cv ( / a b c) (setq a (getstring "\n\nType a name for saved view:")) (setq b (getpoint "\n\nFirst corner of window:")) (setq c (getpoint "\n\nFirst corner of window:")) (command "view" "w" a b c) ) Is it possible to allow the selection to draw an "imaginery box from pt1 to pt2 ? This will help to allow visual check that the area selected is ok otherwise we have to view>restore to check if the window contect is what that's selected.Thanks!
0 -
Try this one. It creates a rectangle for the selection,upon confirmation, it erases it.;;;Program to create saved view from windowed selection.;;;Written by Cheryl K. Gattis on Aug. 5, 2005 for use;;;with Icad6.;;;Modified version of program written by A. Varnes.(defun c:cv ( / a b c d) (setq a (getstring "\n\nType a name for saved view: ")) (setq b (getpoint "\n\nFirst corner of window: "));(terpri) (setq c (getpoint "\n\nSecond corner of window: "))(terpri) (command "rectangle" b c) (initget 1 "y n") (setq d (getkword "\nArea correctly selected? (y/n) ")) (if (= d "y") (setq d nil) (setq d "T") );end if. (while d (command "erase" "last" "") (setq b (getpoint "\n\nFirst corner of window: "));(terpri) (setq c (getpoint "\n\nSecond corner of window: "))(terpri) (command "rectangle" b c) (initget 1 "y n") (setq d (getkword "\nArea correctly selected? (y/n) ")) (if (= d "y") (setq d nil) (setq d "T") );end if. );end while. (command "erase" "last" "") (command "view" "w" a b c));end cv.
0 -
Here's a simpler version that draws a dynamic temporary rectangle across points b and c..(defun c:cv ( / a b c) (setq a (GetString "\n\nType a name for saved view:")) (setq b (GetPoint "\n\nFirst corner of window:")) (setq c (GetCorner b "\nSecond corner of window:")) (command "view" "w" a b c) )
0